commit:     89240782417899928b549038f55f162429fe65a4
Author:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Fri Oct 30 15:58:23 2020 +0000
Commit:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Fri Oct 30 16:03:01 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=89240782

dev-libs/icu-layoutex: Bump to version 68.1

Package-Manager: Portage-3.0.8, Repoman-3.0.2
Signed-off-by: Lars Wendler <polynomial-c <AT> gentoo.org>

 dev-libs/icu-layoutex/Manifest                 |   1 +
 dev-libs/icu-layoutex/icu-layoutex-68.1.ebuild | 109 +++++++++++++++++++++++++
 2 files changed, 110 insertions(+)

diff --git a/dev-libs/icu-layoutex/Manifest b/dev-libs/icu-layoutex/Manifest
index 0a1add51ea7..c5f1ce69c8b 100644
--- a/dev-libs/icu-layoutex/Manifest
+++ b/dev-libs/icu-layoutex/Manifest
@@ -1 +1,2 @@
 DIST icu4c-67_1-src.tgz 24518055 BLAKE2B 
f8a263b5c3e5e8ffea88a3bb766cb265aac026b5f9b2f45a1f06076f99f9f0dc3a4512487652d774ccfc8dc65f8f4c40a974e0aa2aa4381ee0c9885f6b871779
 SHA512 
4779f1ce1ca7976f6fad6768853ea8c540da54d11509e3b6cfd864a04b5f2db1c3d4b546387f91ad02fb90804525bc37d2543173f0d705d6ca11dc6f2b7640a8
+DIST icu4c-68_1-src.tgz 24722348 BLAKE2B 
252ef254cba1a953a0defabae5bf06ba24b3cf48ae18fc4984b883d9f83a3a57129a0e782c85578cf69e9f397a8d6d3b16b70c3802084617d39ade68154f98f5
 SHA512 
24ff4ce5947c41fc12a168e15d4037556562c7f32c1da0bbedd705232476174a3b2318955a7124426a63c2034eb9ae077e728a5dbada8b9433d7173cac3db307

diff --git a/dev-libs/icu-layoutex/icu-layoutex-68.1.ebuild 
b/dev-libs/icu-layoutex/icu-layoutex-68.1.ebuild
new file mode 100644
index 00000000000..62b585924f4
--- /dev/null
+++ b/dev-libs/icu-layoutex/icu-layoutex-68.1.ebuild
@@ -0,0 +1,109 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools flag-o-matic multilib-minimal toolchain-funcs
+
+DESCRIPTION="External layout part of International Components for Unicode"
+HOMEPAGE="http://www.icu-project.org/";
+SRC_URI="https://github.com/unicode-org/icu/releases/download/release-${PV//./-}/icu4c-${PV//./_}-src.tgz";
+
+LICENSE="BSD"
+SLOT="0/${PV}"
+KEYWORDS="~alpha ~amd64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+IUSE="debug static-libs"
+
+BDEPEND="
+       virtual/pkgconfig
+"
+DEPEND="
+       ~dev-libs/icu-${PV}[${MULTILIB_USEDEP}]
+       dev-libs/icu-le-hb[${MULTILIB_USEDEP}]
+"
+RDEPEND="${DEPEND}"
+
+S="${WORKDIR}/${PN/-layoutex}/source"
+
+PATCHES=(
+       "${FILESDIR}/${PN}-65.1-remove-bashisms.patch"
+)
+
+src_prepare() {
+       # apply patches
+       default
+
+       # Disable renaming as it is stupid thing to do
+       sed -i \
+               -e "s/#define U_DISABLE_RENAMING 0/#define U_DISABLE_RENAMING 
1/" \
+               common/unicode/uconfig.h || die
+
+       # Fix linking of icudata
+       sed -i \
+               -e "s:LDFLAGSICUDT=-nodefaultlibs -nostdlib:LDFLAGSICUDT=:" \
+               config/mh-linux || die
+
+       eautoreconf
+}
+
+src_configure() {
+       # Use C++14
+       append-cxxflags -std=c++14
+
+       if tc-is-cross-compiler; then
+               mkdir "${WORKDIR}"/host || die
+               pushd "${WORKDIR}"/host >/dev/null || die
+
+               CFLAGS="" CXXFLAGS="" ASFLAGS="" LDFLAGS="" \
+               CC="$(tc-getBUILD_CC)" CXX="$(tc-getBUILD_CXX)" 
AR="$(tc-getBUILD_AR)" \
+               RANLIB="$(tc-getBUILD_RANLIB)" LD="$(tc-getBUILD_LD)" \
+               "${S}"/configure --disable-renaming --disable-debug \
+                       --disable-samples --enable-static || die
+               emake
+
+               popd >/dev/null || die
+       fi
+
+       multilib-minimal_src_configure
+}
+
+multilib_src_configure() {
+       local myeconfargs=(
+               --disable-renaming
+               --disable-samples
+               --enable-layoutex
+               $(use_enable debug)
+               $(use_enable static-libs static)
+       )
+
+       tc-is-cross-compiler && myeconfargs+=(
+               --with-cross-build="${WORKDIR}"/host
+       )
+
+       # icu tries to use clang by default
+       tc-export CC CXX
+
+       ECONF_SOURCE="${S}" econf "${myeconfargs[@]}"
+}
+
+multilib_src_test() {
+       # INTLTEST_OPTS: intltest options
+       #   -e: Exhaustive testing
+       #   -l: Reporting of memory leaks
+       #   -v: Increased verbosity
+       # IOTEST_OPTS: iotest options
+       #   -e: Exhaustive testing
+       #   -v: Increased verbosity
+       # CINTLTST_OPTS: cintltst options
+       #   -e: Exhaustive testing
+       #   -v: Increased verbosity
+       pushd layoutex &>/dev/null || die
+       emake -j1 VERBOSE="1" check
+       popd &>/dev/null || die
+}
+
+multilib_src_install() {
+       pushd layoutex &>/dev/null || die
+       default
+       popd &>/dev/null || die
+}

Reply via email to